| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Protected Member Functions | Protected Attributes | Properties | Private Member Functions | List of all members
IG.Num.NeuralTrainingParameters.ComparerBase Class Reference

Base comparer class (implementation of the IComparer<NeuralTrainingParameters> interface) for conmparing objects of type NeuralTrainingParameters More...

Inheritance diagram for IG.Num.NeuralTrainingParameters.ComparerBase:
[legend]
Collaboration diagram for IG.Num.NeuralTrainingParameters.ComparerBase:
[legend]

## Protected Member Functions
double | OutputNorm (IVector vec)

## Protected Attributes
IVector | _outputScalingLengths
bool | _compareMinError = false
int | _numLastErrors = 1
int | _numBundles = 0
bool | _compareByTrainingRmsError = true
bool | _compareByTrainingMaxError = false
bool | _compareByVerificationRmsError = false
bool | _compareByVerificationMaxError = false

## Properties
IVector | OutputScalingLengths`[get, set]`
| Vector of scaling lengths for calculation of weighted norms. More...
bool | CompareMinError`[get, set]`
| Whether the min error in convergence table is used for comparison when errors are compared. If false then mean value of last errors is used. More...
int | NumLastErrors`[get, set]`
| Number of last errors in convergence list for calculataing the mean value of error. The default valeu is 1 which represent the last error in the converhence list. More...
int | NumBundles`[get, set]`
| Number of bundles where sorting of convergences stars. The default valeu is 0 which represent normal sorting after the training is done. More...
bool | CompareByTrainingRmsError`[get, set]`
| Whether training RMS errors from convergence tavble are compared. More...
bool | CompareByTrainingMaxError`[get, set]`
| Whether Maximal absolute training errors from convergence tavble are compared. More...
bool | CompareByVerificationRmsError`[get, set]`
| Whether verification RMS errors from convergence tavble are compared. More...
bool | CompareByVerificationMaxError`[get, set]`
| Whether Maximal absolute verification errors from convergence tavble are compared. More...

## Private Member Functions
int IComparer < NeuralTrainingParameters >. | Compare (NeuralTrainingParameters a, NeuralTrainingParameters b)

## Detailed Description

Base comparer class (implementation of the IComparer<NeuralTrainingParameters> interface) for conmparing objects of type NeuralTrainingParameters

## Member Function Documentation

double IG.Num.NeuralTrainingParameters.ComparerBase.OutputNorm | ( | IVector | vec | ) |
| inline protected

References IG.Num.VectorBase.NormWeightedPlain().

int IComparer<NeuralTrainingParameters>. IG.Num.NeuralTrainingParameters.ComparerBase.Compare | ( | NeuralTrainingParameters | a,
|  | NeuralTrainingParameters | b
| ) |  |
| inline private

## Member Data Documentation

IVector IG.Num.NeuralTrainingParameters.ComparerBase._outputScalingLengths
| protected

bool IG.Num.NeuralTrainingParameters.ComparerBase._compareMinError = false
| protected

int IG.Num.NeuralTrainingParameters.ComparerBase._numLastErrors = 1
| protected

int IG.Num.NeuralTrainingParameters.ComparerBase._numBundles = 0
| protected

bool IG.Num.NeuralTrainingParameters.ComparerBase._compareByTrainingRmsError = true
| protected

bool IG.Num.NeuralTrainingParameters.ComparerBase._compareByTrainingMaxError = false
| protected

bool IG.Num.NeuralTrainingParameters.ComparerBase._compareByVerificationRmsError = false
| protected

bool IG.Num.NeuralTrainingParameters.ComparerBase._compareByVerificationMaxError = false
| protected

## Property Documentation

IVector IG.Num.NeuralTrainingParameters.ComparerBase.OutputScalingLengths
| get set

Vector of scaling lengths for calculation of weighted norms.

bool IG.Num.NeuralTrainingParameters.ComparerBase.CompareMinError
| get set

Whether the min error in convergence table is used for comparison when errors are compared. If false then mean value of last errors is used.

int IG.Num.NeuralTrainingParameters.ComparerBase.NumLastErrors
| get set

Number of last errors in convergence list for calculataing the mean value of error. The default valeu is 1 which represent the last error in the converhence list.

int IG.Num.NeuralTrainingParameters.ComparerBase.NumBundles
| get set

Number of bundles where sorting of convergences stars. The default valeu is 0 which represent normal sorting after the training is done.

bool IG.Num.NeuralTrainingParameters.ComparerBase.CompareByTrainingRmsError
| get set

Whether training RMS errors from convergence tavble are compared.

Referenced by IG.Num.TestTrainingParametersComparers.Test().

bool IG.Num.NeuralTrainingParameters.ComparerBase.CompareByTrainingMaxError
| get set

Whether Maximal absolute training errors from convergence tavble are compared.

bool IG.Num.NeuralTrainingParameters.ComparerBase.CompareByVerificationRmsError
| get set

Whether verification RMS errors from convergence tavble are compared.

bool IG.Num.NeuralTrainingParameters.ComparerBase.CompareByVerificationMaxError
| get set

Whether Maximal absolute verification errors from convergence tavble are compared.

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/neural/NeuralTrainingParameters.cs